
/////////////////////////////////////////////////////////
//                  2005 AWAKE SOFT                    //
//    Use This File To Public The Function Interface   //
////////////////////////////////////////////////////////


//System;
extern HBITMAP Logo_bitmap;

extern int CDP; //Color depth identifier.
extern int MenuType;
extern int Custom_Horizontal_FS;
extern int Custom_Vertical_FS;
extern int Custom_Horizontal_W;
extern int Custom_Vertical_W;
extern int Setting_Keys_Special(HWND hset, int Player, int TypeP);

extern int CustomScreen_FS;
extern int Glossiness_Mode;
extern int CustomScreen_W;

extern void InitColorMap();
extern void ShowLogo(HWND hWnd);

//Load Rom Servers;
extern int Load_MD_Rom(HWND hWnd);
extern int Load_32X_Rom(HWND hWnd);
extern int Load_MD_CD_ISO(HWND hWnd);
extern int Load_Tif_Rom(HWND hWnd);

extern char Rom_TIF_Dir[1024];
extern char Rom_MD_Dir[1024];
extern char Rom_ISO_Dir[1024];
extern char Rom_32X_Dir[1024];

//Sound Servers;
extern int S_F_Index;
extern int S_V_Index;

//Turbo Game;
extern int TurboGameSet;
extern int Frame_Number_Backup;
extern int ModeToChange;

//Turbo Key;
extern bool Turbo_On;
extern bool Turbo_1P_A;
extern bool Turbo_1P_B;
extern bool Turbo_1P_C;

extern bool Turbo_2P_A;
extern bool Turbo_2P_B;
extern bool Turbo_2P_C;

extern int Save_Controllers(HWND hWnd);
extern int Load_Controllers(HWND hWnd);

//SEGA CD;
extern int LinkRamCard(HWND hWnd);
extern char RamCardPath[2048];

//Render Plugins;
extern char RenderPlugin_Path[2048];
extern bool RenderPlugin_Link(HWND hWnd);
extern bool RenderPlugin_Init();

//Macro System;
extern void Macro_Link(HWND hWnd,int KeyIndex);
extern void Macro_Init();
extern char Macro_Path[20][2048];   //Macro Path[Key Index][Path];
extern int  Macro_Length[20];
extern bool MacroEnabled;
